CommandsClient (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.bizapp.agent.client.CommandsClient class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.bizapp.agent.client
Class CommandsClient

    java.lang.Object
      org.hyperic.hq.bizapp.agent.client.CommandsClient

    public class CommandsClient

extends java.lang.Object

Constructor Summary
`CommandsClient(AgentConnection agentConn)`

Method Summary
`CreateToken_result` | `createToken(CreateToken_args args)`
`ProviderInfo` | `getProviderInfo()`
`void` | `setProviderInfo(ProviderInfo provider)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommandsClient

    public CommandsClient(AgentConnection agentConn)

Method Detail

### createToken

    public CreateToken_result createToken(CreateToken_args args)
                                   throws AgentRemoteException,
                                          AgentConnectionException

  Throws:
    `AgentRemoteException`
    `AgentConnectionException`

### getProviderInfo

    public ProviderInfo getProviderInfo()
                                 throws AgentRemoteException,
                                        AgentConnectionException

  Throws:
    `AgentRemoteException`
    `AgentConnectionException`

### setProviderInfo

    public void setProviderInfo(ProviderInfo provider)
                         throws AgentRemoteException,
                                AgentConnectionException

  Throws:
    `AgentRemoteException`
    `AgentConnectionException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.